Skip to main content

Responses

POST 

/v1/responses

Follows the OpenAI Responses API spec: https://platform.openai.com/docs/api-reference/responses

Request​

Body

required

    model stringrequired

    Identifier of the model to use.

    input

    object

    required

    Input provided to the model.

    oneOf

    string

    instructions string

    System-level instructions for the model.

    max_output_tokens integer

    Maximum number of tokens to generate.

    Possible values: >= 1

    reasoning

    object

    Reasoning configuration.

    effort string

    Possible values: [low, medium, high]

    stream boolean

    Whether to stream the response.

    Default value: false

    stream_options

    object

    Streaming options.

    include_usage boolean

    If set, an additional chunk will be streamed with usage statistics

    temperature float

    Possible values: <= 2

    text

    object

    Text output configuration.

    format

    object

    type stringrequired

    Possible values: [text]

    parallel_tool_calls boolean

    Whether multiple tool calls can be executed in parallel.

    Default value: false

    tool_choice

    object

    Tool selection strategy.

    oneOf

    string

    Possible values: [auto, none, required]

    max_tool_calls integer

    Maximum number of tool invocations.

    tools object[]

    Available tools for the model.

    top_p float

    Possible values: <= 1

    top_logprobs integer

Responses​

Successful Response

Schema

    id stringrequired
    created_at int64required
    error
    incomplete_details
    instructions stringnullable

    metadata

    object

    nullable

    property name* anynullable
    model stringrequired
    object stringrequired

    output

    object[]

    required

  • Array [

  • id string

    content

    object[]

  • Array [

  • annotations object[]
    text string
    type string
    logprobs
  • ]

  • role string
    status string
    type string
    phase
  • ]

  • parallel_tool_calls boolean
    temperature double
    tool_choice string
    tools object[]
    top_p double
    max_output_tokens integer
    previous_response_id stringnullable

    reasoning

    object

    context
    effort string

    Possible values: [low, medium, high]

    generate_summary
    summary
    status stringrequired

    text

    object

    format

    object

    type string
    verbosity
    truncation string

    usage

    object

    required

    input_tokens integer

    input_tokens_details

    object

    audio_tokens integernullable
    cached_tokens integernullable
    text_tokens integernullable
    input_tokens_per_turn integer[]
    cached_tokens_per_turn integer[]
    output_tokens integer

    output_tokens_details

    object

    reasoning_tokens integer
    text_tokens integernullable
    tool_output_tokens integer
    output_tokens_per_turn integer[]
    tool_output_tokens_per_turn integer[]
    total_tokens integer
    cost
    user
    store
    background boolean
    max_tool_calls integer
    prompt
    service_tier string
    top_logprobs integernullable
    kv_transfer_params
    input_messages
    output_messages
Loading...